summaryrefslogtreecommitdiff
path: root/eclass/kernel-install.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-12-11 17:14:47 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-12-11 17:14:47 +0000
commit25e5a6599437664a3eff8d9f8a966adc896e09e8 (patch)
tree67ef90a99446e1fee47c4ebb4c8c3a8175b41913 /eclass/kernel-install.eclass
parent24b2471760a35870c85ca752666bcb66120289af (diff)
gentoo auto-resync : 11:12:2023 - 17:14:47
Diffstat (limited to 'eclass/kernel-install.eclass')
-rw-r--r--eclass/kernel-install.eclass3
1 files changed, 3 insertions, 0 deletions
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index b4d84f3986c0..22d8ce200016 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -231,6 +231,8 @@ kernel-install_create_qemu_image() {
# some layout needed to pass dracut's usable_root() validation
mkdir -p "${imageroot}"/{bin,dev,etc,lib,proc,root,sbin,sys} || die
touch "${imageroot}/lib/ld-fake.so" || die
+ # Initrd images with systemd require some os-release file
+ cp "${BROOT}/etc/os-release" "${imageroot}/etc/os-release" || die
kernel-install_create_init "${imageroot}/sbin/init"
@@ -263,6 +265,7 @@ kernel-install_test() {
plymouth # hangs, or sometimes steals output
rngd # hangs or segfaults sometimes
i18n # copies all the fonts from /usr/share/consolefonts
+ dracut-systemd systemd systemd-initrd # gets stuck in boot loop
)
# NB: if you pass a path that does not exist or is not a regular